Bug 729256 - adding two VPNs can't edit the second one
Summary: adding two VPNs can't edit the second one
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 09:19 UTC by Dave Airlie
Modified: 2012-08-07 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:26 UTC


Attachments (Terms of Use)

Description Dave Airlie 2011-08-09 09:19:36 UTC
I've two VPN profiles on my system, one for RH Amsterdam and one for RH Brisbane, however going into network settings, no matter which one I click on it attempts to edit RH Amsterdam.

Comment 1 Jirka Klimes 2011-09-12 17:11:26 UTC
gnome-control-panel calls 'nm-connection-editor --edit <uuid>' to open a connection.

I guess, your connections have the same uuid. That could happen, e.g. if you copy the connection files.
List the connections with:
nmcli con list | grep vpn

To fix the problem, open /etc/NetworkManager/system-connections/RH\ Amsterdam and change uuid in [connection] section to be unique. You can use 'uuidgen' to generate the string.

Comment 2 Fedora End Of Life 2012-08-07 16:03:29 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.